defmodule Baz.Repo.Migrations.CreateCollectionPacks do
  use Ecto.Migration

  def up do
    create_query = """
    CREATE TYPE collection_pack_status AS ENUM (
      'visible',
      'hidden',
      'scheduled'
    )
    """
    execute(create_query)

    create table(:collection_packs, primary_key: false) do
      add :id, :uuid, primary_key: true, null: false
      add :slug, :text, null: false
      add :name, :text, null: false
      add :description, :text
      add :image_uri, :text
      add :banner_image_uri, :text
      add :is_verified, :boolean, null: false
      add :status, :collection_pack_status, null: false

      timestamps()
    end

    create index(:collection_packs, [:slug], unique: true)
  end

  def down do
    drop table(:collection_packs)
    execute("DROP TYPE collection_pack_status")
  end
end
