defmodule Baz.Repo.Migrations.CreateCollectionEvents do
  use Ecto.Migration

  def up do
    create_query = """
    CREATE TYPE event_type AS ENUM (
      'item_listed',
      'item_sold',
      'item_transferred',
      'item_metadata_update',
      'item_canceled',
      'item_received_offer',
      'item_received_bid',
      'bid_entered',
      'bid_withdrawn',
      'cancelled',
      'collection_offer',
      'created',
      'offer_entered',
      'successful',
      'trait_offer',
      'transfer'
    )
    """
    execute(create_query)

    create table(:collection_events, primary_key: false) do
      add :event_timestamp, :utc_datetime_usec, null: false
      add :event_type, :event_type, null: false
      add :venue, :text, null: false
      add :slug, :text, null: false
      add :source_id, :text
      add :token_id, :string

      timestamps()
    end

    create index(:collection_events, [:slug, :venue, :token_id])

    
    execute "SELECT create_hypertable('collection_events', 'event_timestamp');"
    
  end

  def down do
    drop table(:collection_events)
    execute("DROP TYPE event_type")
  end
end
