defmodule Baz.Repo.Migrations.CreateCollectionEventImports do
  use Ecto.Migration

  def change do
    create table(:collection_event_imports, primary_key: false) do
      add :id, :uuid, primary_key: true, null: false
      add :venue, :text, null: false
      add :slug, :text, null: false
      add :before, :utc_datetime_usec, null: false
      add :after, :utc_datetime_usec, null: false
      add :token_ids, {:array, :string}
      add :event_types, {:array, :event_type}
      add :max_retries, :integer, null: false
      add :status, :string, null: false

      timestamps(type: :utc_datetime_usec)
    end
  end
end
